API y desarrolladores

Create option value

post/v1/products/{product_id}/options/{option_id}/values

Create a new value for an existing product option.

Ejemplo

curl -X POST "https://api.ya.onl/v1/products/{product_id}/options/{option_id}/values" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'

Parámetros

product_idintegerpathrequerido

Product identifier

option_idintegerpathrequerido

Option identifier

Cuerpo de la petición

namestringrequerido

Option value label

Respuestas

201
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Option not found
422
Validation Error
429
Rate limit exceeded
¿Necesitas ayuda?